All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
scheduler.cpp File Reference
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/linalg/inner_prod.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/scheduler/execute.hpp"`
`#include "viennacl/tools/timer.hpp"`
`#include <iostream>`
`#include <vector>`

Go to the source code of this file.

## Macros

#define | NDEBUG
#define | BENCHMARK_VECTOR_SIZE 2
#define | BENCHMARK_RUNS 1000

## Functions

template<typename ScalarType >
int | run_benchmark ()
int | main ()

## Macro Definition Documentation

#define BENCHMARK_RUNS 1000

Definition at line 47 of file scheduler.cpp.

#define BENCHMARK_VECTOR_SIZE 2

Definition at line 46 of file scheduler.cpp.

#define NDEBUG

Definition at line 27 of file scheduler.cpp.

## Function Documentation

int main | ( |  | ) |

Examples:
  scheduler.cpp.

Definition at line 119 of file scheduler.cpp.

template<typename ScalarType >

int run_benchmark | ( |  | ) |

Definition at line 51 of file scheduler.cpp.